| Home | Libraries | People | FAQ | More

##### ssl::basic_context::use_private_key_file (2 of 2 overloads)

Use a private key from a file.

    boost::system::error_code use_private_key_file(
        const std::string & filename,
        file_format format,
        boost::system::error_code & ec);

This function is used to load a private key into the context from a file.

###### Parameters

filename

  The name of the file containing the private key.

format

  The file format (ASN.1 or PEM).

ec

  Set to indicate what error occurred, if any.